# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	type <<

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
zmake vxworks    (vxWorks)
<<


# ----- Clean ---------------------------------------------------------------
clean:
	z_clean


# ----- Platforms -----------------------------------------------------------
dos16: intl116.exe intl216.exe intl316.exe

dos16b: intl11b.exe intl21b.exe intl31b.exe

dos32: intl132.exe intl232.exe intl332.exe

win16: wintl116.exe wintl216.exe wintl316.exe

win32: wintl132.exe wintl232.exe wintl332.exe

win32dll: wintl1.exe wintl2.exe wintl3.exe

vxWorks: vintl1.o vintl2.o vintl3.o

# ----- Targets ---------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

# ----- pharlap ---------------------------------------------------------------
TARGET_TYPE=EXE
PLATFORM=DOS16
DEFINITION_FILE=$(D16_DEFINITION_FILE)
ADD_LIBRARIES=zafd16p.lib

#
# Build Options for intl116.exe
#
TARGET=intl116.exe
SOURCE_FILES=intl1.cpp 
!include <zaf.mak>

#
# Build Options for intl216.exe
#
TARGET=intl216.exe
SOURCE_FILES=intl2.cpp 
!include <zaf.mak>

#
# Build Options for intl316.exe
#
TARGET=intl316.exe
SOURCE_FILES=intl3.cpp intlwn3.cpp
!include <zaf.mak>

# ----- blinker ---------------------------------------------------------------
TARGET_TYPE=EXE
PLATFORM=DOS16B
DEFINITION_FILE=
ADD_LIBRARIES=zafd16p.lib

#
# Build Options for intl11b.exe
#
TARGET=intl11b.exe
SOURCE_FILES=intl1.cpp 
!include <zaf.mak>

#
# Build Options for intl21b.exe
#
TARGET=intl21b.exe
SOURCE_FILES=intl2.cpp 
!include <zaf.mak>

#
# Build Options for intl31b.exe
#
TARGET=intl31b.exe
SOURCE_FILES=intl3.cpp intlwn3.cpp
!include <zaf.mak>

#
# Build Options for intl132.exe
#
TARGET=intl132.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
SOURCE_FILES=intl1.cpp 
!include <zaf.mak>

#
# Build Options for intl232.exe
#
TARGET=intl232.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
SOURCE_FILES=intl2.cpp 
!include <zaf.mak>

#
# Build Options for intl332.exe
#
TARGET=intl332.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
SOURCE_FILES=intl3.cpp intlwn3.cpp 
!include <zaf.mak>

#
# Build Options for wintl116.exe
#
TARGET=wintl116.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=wtest16.def
SOURCE_FILES=intl1.cpp 
!include <zaf.mak>

#
# Build Options for wintl216.exe
#
TARGET=wintl216.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=wtest16.def
SOURCE_FILES=intl2.cpp 
!include <zaf.mak>

#
# Build Options for wintl316.exe
#
TARGET=wintl316.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=wtest16.def
SOURCE_FILES=intl3.cpp intlwn3.cpp 
!include <zaf.mak>

#
# Build Options for wintl132.exe
#
TARGET=wintl132.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
SOURCE_FILES=intl1.cpp 
!include <zaf.mak>

#
# Build Options for wintl232.exe
#
TARGET=wintl232.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
SOURCE_FILES=intl2.cpp 
!include <zaf.mak>

#
# Build Options for wintl332.exe
#
TARGET=wintl332.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
SOURCE_FILES=intl3.cpp intlwn3.cpp 
!include <zaf.mak>

#
# Build Options for wintl1.exe
#
TARGET=wintl1.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=intl1.cpp 
!include <zaf.mak>

#
# Build Options for wintl2.exe
#
TARGET=wintl2.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=intl2.cpp 
!include <zaf.mak>

#
# Build Options for wintl3.exe
#
TARGET=wintl3.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=intl3.cpp intlwn3.cpp 
!include <zaf.mak>

# ----- VxWorks -------------------------------------------------------------

ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vintl

#
# Build Options for vintl1.o
#
TARGET=vintl1.o
TARGET_TYPE=exe
PLATFORM=vxworks
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=intl1.cpp v_app.cpp
!include <zaf.mak>

#
# Build Options for vintl2.o
#
TARGET=vintl2.o
TARGET_TYPE=exe
PLATFORM=vxworks
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=intl2.cpp v_app.cpp
!include <zaf.mak>

#
# Build Options for vintl3.o
#
TARGET=vintl3.o
TARGET_TYPE=exe
PLATFORM=vxworks
ADD_LIBRARIES=
DEFINITION_FILE=
SOURCE_FILES=intl3.cpp intlwn3.cpp v_app.cpp
!include <zaf.mak>

